/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.widget;

import java.awt.*;

import javax.swing.*;

import edu.stanford.smi.protege.model.*;
import edu.stanford.smi.protege.util.*;

/**
 * A Cls widget used for displaying an "invalid" class form.  If for some reason the constructor or the initialize method
 * on a cls widget fail to execute (throw and exception) then that class from is replace with this one.  This doesn't
 * happen very often (if ever) because users typically don't develop ClsWidgets.
 *
 * @author    Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class UglyClsWidget extends AbstractClsWidget {

    public String getLabel() {
        return "Ugly Cls Widget (tm)";
    }

    public void initialize() {
        JComponent c = ComponentFactory.createLabel("The Ugly Cls Widget (tm)", SwingConstants.CENTER);
        c.setOpaque(true);
        c.setBackground(Color.red);
        c.setForeground(Color.black);
        c.setBorder(BorderFactory.createMatteBorder(5, 5, 5, 5, Color.green));
        add(c);
    }

    public void layoutLikeCls(Cls cls) {
    }

    public void relayout() {
    }

    public void removeCustomizations() {
    }

    public boolean configure() {
        return false;
    }

    public SlotWidget getSlotWidget(Slot slot) {
        return null;
    }
    public void replaceWidget(Slot slot, String className) {
        // do nothing
    }
}
